# Poco

# class DeflatingInputStream

Library: Foundation
Package: Streams
Header: Poco/DeflatingStream.h

## Description

This stream compresses all data passing through it using zlib's deflate algorithm.

## Inheritance

Direct Base Classes: DeflatingIOS, std::istream

All Base Classes: DeflatingIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### DeflatingInputStream

DeflatingInputStream(
std::istream & istr,
DeflatingStreamBuf::StreamType type = DeflatingStreamBuf::STREAM_ZLIB,
int level = (- 1)
);

## Destructor

### ~DeflatingInputStream

~DeflatingInputStream();